MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024377Community[OCCT] OCCT:Modeling Algorithmspublic2013-11-18 23:142013-12-19 13:59
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024377: [Regression-like] OCC 6.7.0 beta contaminates log with more unnecessary debug symbols
DescriptionIn 6.7.0 Beta, the Extrema package issues new multiple warnings contaminating application logs:

"+++Function Extrema_FuncExtCC::Value(...)."
"Warning: 1st derivative of C1 is equal to zero!---"

In general, the practice of issuing messages relevant for OCC development process and not for OCC users should be protected with special pre-processor macro, not with generic #if DEB used to designate DEBUG mode, working both in development and user environment.
Steps To ReproduceEither specific test case or just code inspection in Extrema.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0026734)
nbv (developer)
2013-11-19 12:07

CR24377 is ready to review.
(0026735)
ifv (developer)
2013-11-19 12:10

Ok
(0026795)
mkv (tester)
2013-11-20 12:34

Dear BugMaster,

Branch CR24377 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 898d360e143a7455e040560a6771088d1b3ac52c

Number of compiler warnings:

occt component :
Linux: 317 (317 on master)
Windows: 0 (0 on master)

products component :
Linux: 188 (189 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355027660 / 357213484
Total CPU difference: 44942.990000000296 / 43279.26000000018

Testing on Windows:
Total MEMORY difference: 411909816 / 411574872
Total CPU difference: 32017.296875 / 34417.96875

There are not differences in images found by testdiff.

- Related Changesets
occt: master 28cec2ba
Timestamp: 2013-11-19 08:06:09
Author: nbv
Committer: bugmaster
Details ] Diff ]
0024377: [Regression-like] OCC 6.7.0 beta contaminates log with more unnecessary debug symbols

These "DEBUG outputs" are replace with analogically comments.
mod - src/Extrema/Extrema_FuncExtCC.gxx Diff ] File ]
mod - src/Extrema/Extrema_FuncExtPC.gxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-11-18 23:14 Roman Lygin New Issue
2013-11-18 23:14 Roman Lygin Assigned To => ifv
2013-11-19 10:38 ifv Assigned To ifv => nbv
2013-11-19 10:39 ifv Status new => assigned
2013-11-19 12:07 nbv Note Added: 0026734
2013-11-19 12:07 nbv Assigned To nbv => ifv
2013-11-19 12:07 nbv Status assigned => resolved
2013-11-19 12:10 ifv Note Added: 0026735
2013-11-19 12:10 ifv Status resolved => reviewed
2013-11-19 12:38 mkv Assigned To ifv => mkv
2013-11-20 12:34 mkv Note Added: 0026795
2013-11-20 12:34 mkv Test case number => Not needed
2013-11-20 12:34 mkv Assigned To mkv => bugmaster
2013-11-20 12:34 mkv Status reviewed => tested
2013-11-25 13:17 bugmaster Changeset attached => occt master 28cec2ba
2013-11-25 13:17 bugmaster Status tested => verified
2013-11-25 13:17 bugmaster Resolution open => fixed
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker